For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Fork this repoGet a demo
  • Get Started
    • Welcome
    • Concepts
    • SDKs
  • API Reference
      • POSTAdd a new plant to the store
      • PUTUpdate an existing plant
      • GETSearch plants by status
      • GETSearch plants by tags
      • GETFind plant by ID
LogoLogo
Fork this repoGet a demo
API Referenceplant

Search plants by tags

GET
https://api.plantstore.dev/v3/plant/search/tags
GET
/v3/plant/search/tags
$curl https://api.plantstore.dev/v3/plant/search/tags
200Retrieved
1[
2 {
3 "id": 101,
4 "name": "Fern",
5 "status": "available",
6 "tags": [
7 "green",
8 "leafy"
9 ]
10 },
11 {
12 "id": 103,
13 "name": "Cactus",
14 "status": "available",
15 "tags": [
16 "spiky",
17 "desert"
18 ]
19 }
20]
Filter plants based on associated tags.
Was this page helpful?
Previous

Find plant by ID

Next
Built with

Query parameters

tagslist of stringsOptional

Tags to filter plants (comma-separated).

Response

List of plants matching the tags filter
idinteger
namestring
statusstring
tagslist of strings